import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;

public class Controleur implements ActionListener {

    private Modele modele;
    private Vue vue;
    
    public Controleur(Modele modele, Vue vue) {
        this.modele=modele;
        this.vue = vue;
    }
    
    @Override
    public void actionPerformed(ActionEvent evenement) {
        JButton bouton = (JButton) evenement.getSource();
        modele.setMessage(bouton.getLabel());        
        vue.redessiner();
    }
}
