import java.awt.GridLayout;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;


public class Vue extends JFrame {
    private Modele modele;
    private JLabel label;

    public Vue(Modele modele) {
        this.modele = modele;
        label = new JLabel();
        redessiner();
        JPanel panneau = new JPanel();
        
        Controleur controleur = new Controleur(modele, this);
        JButton boutonA = new JButton("A");
        boutonA.addActionListener(controleur);
        JButton boutonB = new JButton("B");
        boutonB.addActionListener(controleur);
        JButton boutonC = new JButton("C");
        boutonC.addActionListener(controleur);
        
        setLayout(new GridLayout(2,1));
        add(label);
        add(panneau);
        
        panneau.add(boutonA);
        panneau.add(boutonB);
        panneau.add(boutonC);
        
        pack();
        setVisible(true);
    }
    
    public void redessiner() {
        label.setText(modele.getMessage());
    }

}
